package org.ts.ddcs.DataSaveProcesser;

import org.ts.ddcs.DataTemplate.DataTemplateInterface;
import org.ts.ddcs.log.LogHelper;
import org.ts.ddcs.Tool.BytesHelp;


/**
 * @author dylan
 */
public class DataSaveProcesserC37 extends DataSaveProcesser {
    @Override
    public void Save(DataTemplateInterface dataTemplateInterface) {
        super.Save(dataTemplateInterface);
        String rtuCode = BytesHelp.byte2HexStr(dataTemplateInterface.RtuCode());
        LogHelper.info("SAVE:" + rtuCode + " " + dataTemplateInterface.GetFeture());
    }
}
